[PACKAGE]: ../../raw/master/mkp/cisco_wlc-0.8.1-20230607.mkp "cisco_wlc-0.8.1-20230607.mkp"
# Cisco WLC

**Note: This is a replacement for the original CMK 'cisco_wlc' plugin.**

**Testetd with: Cisco 2500, 5508, 5520 Series Wireless LAN Controlles, basic support for C9800 series**


Monitors status of Cisco WLC connected APs. It checks for:
*  AP/LWAP uptime
*  Number of connected clients
*  ssh/telnet enabled APs
*  CPAWAP encryption disabled APs
*  APs not on full PoE
*  admin/operational state of APs
*  missing APs

---
### Check Info

* *service*: this check will create one service for each AP with the ap name as item.

* *state*:\
    **critical**
    *  if AP has telnet enabled
    *  if AP is not on full power

    **warning**
    *  if AP is missing
    *  if AP admin status disabled
    *  if AP is not operational
    *  if AP has ssh enabled
    *  if CPAWAP tunnel encryption is not enabled or enabled but not active  
    *  if APs CDP state is half duplex
    *  if APs CDP info is changed/missing
    *  if APs H/W has changed

* *wato*: [(see WATO options)](/../../../-/raw/master/img/wato.png "see sample screenshot")

* *perfdata*:
    * AP uptime (s)
    * LWAP uptime (s)
    * Associated clients (count)
    * Active clients (count)
    * Reassoiation success (1/s)
    * Reassoiation failure (1/s)
    * Reassoiation failure rate (1/s)
    * Associations (1/s)
    * Association fail rssi low (1/s)
    * Association fail times (1//s)
    * Echo request (1/s)
    * Echo response loss (1/s)

---
### Download

* [Download latest mkp file][PACKAGE]

**Note**: before you update to a newer version, always check the [CHANGELOG](CHANGELOG). There might be incompatible changes.

---                   
### Installation

You can install the package by uploading it to your CheckMK site and as site user run 
```
mkp install PACKAGENAME-VERSION.mkp
```
or beginning with CMK2.2.x
```
mkp add PACKAGENAME-VERSION.mkp
mkp enable PACKAGENAME VERSION
```
In the non RAW editions of CheckMK you can use the GUI to install the package (_Setup_ -> _Extension Packages_ -> _Upload package_)

---
### Want to contribute?

Nice ;-) Have a look at the [contribution guidelines](CONTRIBUTING.md "Contributing")

---
### Sample output

![sample output](img/sample.png?raw=true "sample output")

WATO options

![WATO options](img/wato.png?raw=true "WATO options")
